org.yaml.snakeyaml.nodes

## Class NodeTuple

- java.lang.Object
- - org.yaml.snakeyaml.nodes.NodeTuple

    public final class NodeTuple
    extends Object

Stores one key value pair used in a map.

### Constructor Summary

Constructors
Constructor and Description
`NodeTuple(Node keyNode, Node valueNode)`

### Method Summary

Methods
`Node` `getKeyNode()` Key node.
`Node` `getValueNode()` Value node.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NodeTuple

    public NodeTuple(Node keyNode,
             Node valueNode)

### Method Detail

#### getKeyNode

    public Node getKeyNode()

Key node.

Returns:
  the node used as key

#### getValueNode

    public Node getValueNode()

Value node.

Returns:
  node used as value

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`